import React from "react";
var errorProvider = new Error("useLayout must be used inside Layout component");
var DefaultContext = {
  // sidebar
  openSidebar: function openSidebar() {
    throw errorProvider;
  },
  closeSidebar: function closeSidebar() {
    throw errorProvider;
  },
  setSidebarContent: function setSidebarContent() {
    throw errorProvider;
  },
  // nav
  openNav: function openNav() {
    throw errorProvider;
  },
  closeNav: function closeNav() {
    throw errorProvider;
  },
  setMode: function setMode() {
    throw errorProvider;
  },
  serPreferMode: function serPreferMode() {
    throw errorProvider;
  },
  navCloseOnClickAway: function navCloseOnClickAway() {
    throw errorProvider;
  }
};
export var modes = {
  popover: "popover",
  sidebar: "sidebar"
};
export default /*#__PURE__*/React.createContext(DefaultContext);